# Simple access token

## Building an integration just for your company?

Are you building an integration to only access your own tiny+ data?&#x20;

Rather than registering for a [Client App](/api/getting-access/register-a-client-app.md), you can get a simple long-life access token by visiting [crm.tiny.plus/account/api\_access](https://crm.tiny.plus/account/api_access).

These tokens make accessing our API much simpler. However, they have some important caveats...

You'll need to be an *account admin* to access this page, and the access token will become invalidated if your user account is ever disabled or deleted.

## Important considerations...

{% hint style="info" %}
Treat your access token like a password. Anyone who has it can access your tiny+ account.
{% endhint %}

A couple of really important points about how to use your access token.

1. **Treat your access token like a password to your tiny+ account.** \
   This means that you should NEVER include it in a public Git repository, or in the Javascript code of a website you build.&#x20;
2. **Only use these access tokens in server-side code.** \
   These tokens should only ever be used in server-side code, such as in a PHP script.
3. **Actions performed when using our API with this access token will be in the context of your user account.**\
   It may be worthwhile creating a user account in tiny+ that belongs to the integration you are building.
4. **The access token will stop working if your user acconut is disabled or deleted.**\
   You will need another user to generate a new access token if your account is ever going to be deleted.

If you believe your access token has been compromised, you should go to  [crm.tiny.plus/account/api\_access](https://crm.tiny.plus/account/api_access) as soon as possible and revoke it, and generate a new one.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tiny.plus/api/getting-access/getting-an-access-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
